Aden

Tracks

Track management — read endpoints available via API key

GET
/api/v1/tracks/search/deep

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

q*string
teamId*string
limit?string
curl -X GET "https://example.com/api/v1/tracks/search/deep?q=string&teamId=string"
GET
/api/v1/tracks/

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId?string
curl -X GET "https://example.com/api/v1/tracks/"
POST
/api/v1/tracks/

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/tracks/" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "team_id": 0,    "audio_file_name": "string"  }'
GET
/api/v1/tracks/{id}

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/tracks/string"
PATCH
/api/v1/tracks/{id}

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/tracks/string" \  -H "Content-Type: application/json" \  -d '{}'
DELETE
/api/v1/tracks/{id}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X DELETE "https://example.com/api/v1/tracks/string"
GET
/api/v1/tracks/{id}/collaborators

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/tracks/string/collaborators"
PATCH
/api/v1/tracks/{id}/status

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/tracks/string/status" \  -H "Content-Type: application/json" \  -d '{    "status": "idea"  }'
POST
/api/v1/tracks/reorder

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/tracks/reorder" \  -H "Content-Type: application/json" \  -d '{    "status_id": "string",    "track_orders": [      {        "trackId": 0,        "order": 0      }    ]  }'
GET
/api/v1/tracks/{id}/covers

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/tracks/string/covers"
POST
/api/v1/tracks/{id}/covers

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/tracks/string/covers" \  -H "Content-Type: application/json" \  -d '{    "fileName": "string"  }'
PATCH
/api/v1/tracks/{id}/covers/{coverId}/current

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
coverId*string
curl -X PATCH "https://example.com/api/v1/tracks/string/covers/string/current"
DELETE
/api/v1/tracks/{id}/covers/{coverId}

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
coverId*string
curl -X DELETE "https://example.com/api/v1/tracks/string/covers/string"
POST
/api/v1/tracks/{id}/versions/create

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/tracks/string/versions/create" \  -H "Content-Type: application/json" \  -d '{    "audio_file_name": "string"  }'
POST
/api/v1/tracks/{id}/versions/{versionId}/files/create

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/tracks/string/versions/string/files/create" \  -H "Content-Type: application/json" \  -d '{    "audio_file_name": "string"  }'
GET
/api/v1/tracks/{id}/versions/{versionId}/detail

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string
curl -X GET "https://example.com/api/v1/tracks/string/versions/string/detail"
GET
/api/v1/tracks/{id}/versions/{versionId}/todos

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string
curl -X GET "https://example.com/api/v1/tracks/string/versions/string/todos"
POST
/api/v1/tracks/{id}/versions/{versionId}/todos

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/tracks/string/versions/string/todos" \  -H "Content-Type: application/json" \  -d '{    "todo": "string"  }'
PATCH
/api/v1/tracks/{id}/versions/{versionId}/todos/{todoId}

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string
todoId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/tracks/string/versions/string/todos/string" \  -H "Content-Type: application/json" \  -d '{}'
DELETE
/api/v1/tracks/{id}/versions/{versionId}/todos/{todoId}

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string
todoId*string
curl -X DELETE "https://example.com/api/v1/tracks/string/versions/string/todos/string"
PATCH
/api/v1/tracks/{id}/versions/{versionId}/metadata

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/tracks/string/versions/string/metadata" \  -H "Content-Type: application/json" \  -d '{}'
GET
/api/v1/tracks/{id}/versions/{versionId}/plays

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string
curl -X GET "https://example.com/api/v1/tracks/string/versions/string/plays"
POST
/api/v1/tracks/{id}/versions/{versionId}/comments/upload

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string
curl -X POST "https://example.com/api/v1/tracks/string/versions/string/comments/upload"
POST
/api/v1/tracks/{id}/versions/{versionId}/comments/with-attachments

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/tracks/string/versions/string/comments/with-attachments" \  -H "Content-Type: application/json" \  -d '{}'
GET
/api/v1/tracks/{id}/versions/{versionId}/comments

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string
curl -X GET "https://example.com/api/v1/tracks/string/versions/string/comments"
POST
/api/v1/tracks/{id}/versions/{versionId}/comments

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/tracks/string/versions/string/comments" \  -H "Content-Type: application/json" \  -d '{    "comment": "string"  }'
PATCH
/api/v1/tracks/{id}/versions/{versionId}/comments/{commentId}

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string
commentId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/tracks/string/versions/string/comments/string" \  -H "Content-Type: application/json" \  -d '{}'
DELETE
/api/v1/tracks/{id}/versions/{versionId}/comments/{commentId}

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string
commentId*string
curl -X DELETE "https://example.com/api/v1/tracks/string/versions/string/comments/string"
POST
/api/v1/tracks/{id}/versions/{versionId}/comments/{commentId}/reactions

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string
commentId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/tracks/string/versions/string/comments/string/reactions" \  -H "Content-Type: application/json" \  -d '{    "emoji": "string"  }'
DELETE
/api/v1/tracks/{id}/versions/{versionId}/comments/{commentId}/reactions/{emoji}

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string
commentId*string
emoji*string
curl -X DELETE "https://example.com/api/v1/tracks/string/versions/string/comments/string/reactions/string"
GET
/api/v1/tracks/{id}/versions

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/tracks/string/versions"
DELETE
/api/v1/tracks/{id}/versions/{versionId}

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string
curl -X DELETE "https://example.com/api/v1/tracks/string/versions/string"
PATCH
/api/v1/tracks/{id}/versions/{versionId}/final

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
versionId*string
curl -X PATCH "https://example.com/api/v1/tracks/string/versions/string/final"
PATCH
/api/v1/tracks/{id}/versions/reorder

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/tracks/string/versions/reorder" \  -H "Content-Type: application/json" \  -d '{    "versions": [      {        "versionId": 0,        "order": 0      }    ]  }'
Was this helpful?